<template>
  <div class="dish">
    <template v-if="data">
      <div class="wrapper" @click="$emit('select')">
        <div class="count" v-if="count">{{ count }}</div>
        <div class="detail">
          <h4 class="name">{{ data.name }}</h4>
          <!--<div class="en-name">Combo 2 people sets</div>-->
          <div class="desc" v-line-clamp="2" v-if="data.description">
            {{ data.description }}
          </div>
          <div class="price"><price :price="data.price" /></div>
          <div class="order-button">{{ buttonLabel }}</div>
        </div>
        <div
          v-if="data.image"
          class="photo"
          :style="{ 'background-image': `url(${data.image})` }"
        ></div>
      </div>
    </template>
    <template v-else> </template>
  </div>
</template>

<script>
import Price from "../../Price";

export default {
  components: {
    Price
  },

  props: {
    data: {
      type: Object
    },

    count: {
      type: Number,
      default: 0
    },

    readonly: {
      type: Boolean,
      default: false
    }
  },

  computed: {
    buttonLabel() {
      return this.readonly
        ? this.$t("restaurantPreorder.orderButton")
        : this.$t("restaurantPreorder.readOnlyOrderButton");
    }
  }
};
</script>

<style lang="scss" scoped>
.dish {
  cursor: pointer;

  @include media-breakpoint-up(md) {
    flex: 0 1 50%;
  }
}

.wrapper {
  position: relative;
  border-bottom: 1px $color-sky-grey solid;
  padding: 15px 15px 15px 20px;
  display: flex;

  &:active,
  &:hover {
    background: $color-genesis-white;
  }

  @include media-breakpoint-up(md) {
    min-height: 148px;
    border: 1px $color-sky-grey solid;
    margin-left: 15px;
    margin-bottom: 15px;
    padding: 0;
    transition: all 0.4s;
    border-radius: 2px;

    &:hover {
      background: transparent;
      box-shadow: 0 4px 20px 0 rgba(0, 0, 0, 0.08);
    }
  }
}

.detail {
  width: 100%;

  @include media-breakpoint-up(md) {
    padding: 10px 0 62px 20px;
  }
}

.name {
  line-height: 28px;
  font-size: 16px;
  font-weight: normal;
  margin: 0 0 2px;
}

.en-name,
.desc {
  color: $color-primary-grey;
  font-size: 12px;
  line-height: 20px;
  margin-bottom: 2px;
  min-height: 20px;
}

.desc {
  @include media-breakpoint-up(md) {
    height: 40px;
    line-height: 20px;
    overflow: hidden;
  }
}

.photo {
  width: 80px;
  height: 80px;
  background-size: cover;
  background-position: center center;
  margin-left: 10px;
  flex-shrink: 0;
  flex-grow: 0;

  @include media-breakpoint-up(md) {
    width: 148px;
    height: 148px;
  }
}

.price {
  margin-top: 4px;
  font-weight: 500;
  font-size: 14px;

  @include media-breakpoint-up(md) {
    position: absolute;
    left: 20px;
    bottom: 36px;
  }
}

.count {
  position: absolute;
  right: 8px;
  top: 8px;
  background: $color-skm-red;
  color: $color-white;
  text-align: center;
  width: 24px;
  height: 24px;
  line-height: 24px;
  border-radius: 50%;
  font-size: 12px;

  @include media-breakpoint-up(md) {
    right: 4px;
    top: 4px;
  }
}

.order-button {
  display: none;
  position: absolute;
  bottom: 10px;
  color: $color-skm-red;
  font-size: 14px;
  line-height: 24px;

  &::before {
    content: "";
    display: inline-block;
    width: 12px;
    height: 12px;
    border-radius: 2px;
    background-image: url("/static/images/ic-order.png");
    background-size: 12px 12px;
    margin-right: 5px;
  }

  @include media-breakpoint-up(md) {
    display: block;
  }
}
</style>
